Bug 667764

Summary: Logging out of gnome inside an Xvnc session doesn't allow re-login
Product: [Fedora] Fedora Reporter: Penelope Fudd <bugzilla.redhat.com>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: atkac, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-20 05:13:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Penelope Fudd 2011-01-06 12:55:17 EST
Description of problem:
I've been using tigervnc-server for a few days now, and I've noticed that if I log out, I can't log back in.  The vncconfig program is still running and is on screen, as well as my desktop background, but there's nothing else to click on.  Quitting and reconnecting to the vnc port doesn't help.  I have to restart the vncserver service to get it working again: "service vncserver restart"

Version-Release number of selected component (if applicable):
tigervnc-server-1.0.90-0.22.20100813svn4123.fc14.1.i686.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Set up vncserver (edit /etc/sysconfig/vncservers, service vncserver start)
2. Connect to it: vncviewer myserver:2
3. Go to System/Logout
  
Actual results:
Desktop window manager quits, vncconfig window does not.

Expected results:
Desktop window manager should restart.

Additional info:
If there are other people logged into other vnc sessions, they will be booted out and their data lost.  I'm using the gnome desktop, whatever it's called.
Comment 1 Penelope Fudd 2011-01-19 15:44:57 EST
If I kill vncconfig, it has no effect on the problem.  The desktop window manager should restart, otherwise I'm left looking at my desktop background forever, with no menus, buttons, or keyboard sequences available.
Comment 2 Adam Tkac 2011-01-20 05:13:43 EST
To get "logout" feature working you need to use some X display manager (for example xdm, gdm or kdm). You can't start the session directly.

If your machine is not headless (i.e. has graphics card) then the easiest way is to set Xorg to use libvnc.so module:

1. install tigervnc-server-module package
2. create file in /etc/X11/xorg.conf.d/ directory called 01-vnc.conf, for example, with following content:

# cat /etc/X11/xorg.conf.d/01-vnc.conf

Section "Module"
        Load "vnc"
EndSection

Section "Screen"
        Identifier "Screen0"
        Option "SecurityTypes" "None"
EndSection

3. Use `Option "PasswordFile" "<path_to_file_generated_via_vncpasswd_command>"` option to set password-based authentication instead of none authentication.

4. restart the X session (or the computer)

Now you should be able to see X display manager which allows you to login.

Another way is to set your display manager to start multiple X servers (Xvnc, the VNC server, is also the X server) on multiple displays but it is more complicated.

Closing as notabug.
Comment 3 Penelope Fudd 2011-01-21 01:53:15 EST
Nifty!

Now, where is this documented?  I'm apparently not looking in the right places.